module Lono::Pro
  module Help
    class << self
      # namespaced_command: cfn/create or cfn:create both work.
      def text(namespaced_command)
        path = namespaced_command.to_s.gsub(':','/')
        path = File.expand_path("../help/#{path}.md", __FILE__)
        if File.exist?(path)
          content = IO.read(path)
          content.strip + "\n\n" + lono_pro_addon_note
        end
      end

      def lono_pro_addon_note
        <<~EOL
          ## Lono Pro

          This is a lono-pro addon command.
        EOL
      end
    end
  end
end